searchNodes=[{"doc":"Compiles a single Gleam package.This task wraps gleam compile-package and ensures that any Gleam code, in the main project and any dependencies, is compiled into Erlang, a task that should happen prior to Mix's compilation.Examples:# Compile Gleam to Erlang in the Mix project. mix compile.gleam # Compile Gleam to Erlang in a dependency. mix compile.gleam gleam_stdlib # Compile several dependencies. mix compile.gleam gleam_http gleam_otp # Force Gleam compilation. mix compile.gleam gleam_plug --force # Prevent Gleam compilation. mix deps.compile --no-gleamNote that Gleam compilation can also be explicitly disabled for individual dependencies via mix.exs using, e.g.:defp deps() do [ ... {:package, &quot;~&gt; 0.1&quot;, gleam: false}, ] endGleam compilation will not be attempted in cases where it is thought to be unnecessary, unless the --force or --force-gleam flag or config option is passed; though even then, Gleam compilation will not occur where no .gleam files are located.Include this task in your project's mix.exs with, e.g.:def project do [ compilers: [:gleam] ++ Mix.compilers(), ] end","ref":"Mix.Tasks.Compile.Gleam.html","title":"Mix.Tasks.Compile.Gleam","type":"task"},{"doc":"Extends the task of getting dependencies.This task recursively ensures that all subdependencies are fetched in preparation for compiling them from Gleam into Erlang, a task that should happen prior to Mix's compilation.Include this task in your project's mix.exs with, e.g.:def project do [ aliases: [&quot;deps.get&quot;: [&quot;deps.get&quot;, &quot;gleam.deps.get&quot;]], ] end","ref":"Mix.Tasks.Gleam.Deps.Get.html","title":"Mix.Tasks.Gleam.Deps.Get","type":"task"},{"doc":"This task is UNIMPLEMENTED for now.Please use mix new and adjust your project's mix.exs file using the template that follows this help message.In the future:Creates a new Gleam project. It expects the path of the project as argument.mix gleam.new PATH [--app APP] [--module MODULE] [--sup] [--umbrella]A project at the given PATH will be created. The application name and module name will be retrieved from the path, unless --module or --app is given.See mix help new for further information.","ref":"Mix.Tasks.Gleam.New.html","title":"Mix.Tasks.Gleam.New","type":"task"},{"doc":"Runs the project Gleam and Erlang tests.This task runs the main function from your project's _test.gleam file.// In test/yourapp_test.gleam import gleeunit pub fn main() { gleeunit.main() }It requires gleeunit in your mix.exs deps.defp deps() do # ... {:gleeunit, &quot;~&gt; 0.5&quot;, only: [:dev, :test], runtime: false}, end","ref":"Mix.Tasks.Gleam.Test.html","title":"Mix.Tasks.Gleam.Test","type":"task"},{"doc":"TODO","ref":"MixGleam.html","title":"MixGleam","type":"module"},{"doc":"","ref":"MixGleam.html#add_aliases/1","title":"MixGleam.add_aliases/1","type":"function"},{"doc":"","ref":"MixGleam.html#find_files/2","title":"MixGleam.find_files/2","type":"function"},{"doc":"","ref":"MixGleam.html#find_libs/2","title":"MixGleam.find_libs/2","type":"function"},{"doc":"","ref":"MixGleam.html#find_paths/3","title":"MixGleam.find_paths/3","type":"function"},{"doc":"","ref":"MixGleam.html#get_config/1","title":"MixGleam.get_config/1","type":"function"},{"doc":"","ref":"MixGleam.html#gleam?/1","title":"MixGleam.gleam?/1","type":"function"},{"doc":"","ref":"MixGleam.Error.html","title":"MixGleam.Error","type":"exception"}]